Bug 8147 - Port dashboard submission grids to OJS
Port dashboard submission grids to OJS
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
3.0a
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-05 16:05 PST by Alec Smecher
Modified: 2013-03-11 09:53 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2013-03-05 16:05:04 PST

    
Comment 1 Alec Smecher 2013-03-05 16:10:02 PST
Migrating OMP submission grid code to PKP lib
https://github.com/pkp/omp/commit/25a040480e713fb33e56379644b88bf6bf9c97d2
Comment 2 Alec Smecher 2013-03-06 07:55:02 PST
Migrating OMP submission grid code to PKP lib
https://github.com/pkp/pkp-lib/commit/e86a4e3aa99ab0bca27bc4ca49966abed6aade9f
Comment 3 Alec Smecher 2013-03-06 10:05:02 PST
Port base submission list classes to PKP lib
https://github.com/pkp/pkp-lib/commit/c60ae3e95a3736e05a93b811a155e9178fa22e7d
Comment 4 Alec Smecher 2013-03-06 10:05:02 PST
Port base submission list classes to PKP lib
https://github.com/pkp/omp/commit/c529b60b9d0abda2f418de3a3470dccb1d514c2e
Comment 5 Alec Smecher 2013-03-06 11:00:03 PST
Submissions grids to PKP lib
https://github.com/pkp/omp/commit/d721df38e75ad1d0faa2880e296539a97d278e0a
Comment 6 Alec Smecher 2013-03-06 11:05:02 PST
Submissions grids to PKP lib
https://github.com/pkp/pkp-lib/commit/c4df1ec26c6c1cd8ac0e6648285b85a8b14e302c
Comment 7 Alec Smecher 2013-03-07 12:55:02 PST
Add temporary ROLE_ID_SUB_EDITOR shim
https://github.com/pkp/omp/commit/cd7cab7a1b3392e137a929b3c4580d8801ea99e4
Comment 8 Alec Smecher 2013-03-07 13:00:02 PST
Add temporary ROLE_ID_SUB_EDITOR shim
https://github.com/pkp/ojs/commit/bbbbf0ce526e75ef07c691ed5e52f4bfa8a696d1
Comment 9 Alec Smecher 2013-03-07 13:20:02 PST
Move dashboard submission grids to PKP lib
https://github.com/pkp/pkp-lib/commit/762302f00fbdcee97779732fc3756c7fcf5ece95
Comment 10 Alec Smecher 2013-03-07 13:25:02 PST
Move dashboard submission grids to PKP lib (correct role names)
https://github.com/pkp/pkp-lib/commit/a1d81fd0ac8024866aeb26c25aed302bcf6e357d
Comment 11 Alec Smecher 2013-03-07 14:20:02 PST
Move dashboard submission grids to PKP lib; notification constant name
https://github.com/pkp/omp/commit/2a9d9664d44c432c2e28dd7c0bb2919c4235aa38
Comment 12 Alec Smecher 2013-03-07 14:30:03 PST
Notification types to PKP lib
https://github.com/pkp/ojs/commit/516ecd08d0aaaf6a6f99a0c4c1c93f66f01a636a
Comment 13 Alec Smecher 2013-03-07 14:30:03 PST
Notification types to PKP lib
https://github.com/pkp/omp/commit/4f1141288dfefa56cab933c2e37f65c1564d3592
Comment 14 Alec Smecher 2013-03-07 14:30:03 PST
Notification types to PKP lib
https://github.com/pkp/pkp-lib/commit/6f68df2df990fde9a61dab3f54a955a4ca0f5bb8
Comment 15 Alec Smecher 2013-03-07 16:15:02 PST
Stage assignments to PKP lib
https://github.com/pkp/omp/commit/030ed5ea2b64fe66d97cf1e0848fc744a402ad8e
Comment 16 Alec Smecher 2013-03-07 16:15:02 PST
Stage assignments to PKP lib
https://github.com/pkp/pkp-lib/commit/c95b3453e7a1fefa964c6e125b2b55be78d62b8f
Comment 17 Alec Smecher 2013-03-07 17:10:02 PST
Change information centre to use submissionId instead of monographId
https://github.com/pkp/omp/commit/7f9ca2c7e4639040c698201a5ae4205557b21617
Comment 18 Alec Smecher 2013-03-07 17:15:02 PST
Submission info centre link action to PKP lib
https://github.com/pkp/omp/commit/f4fe7bbefb4a9892774c56cd3d0aedb97465a82a
Comment 19 Alec Smecher 2013-03-07 17:15:02 PST
Submission info centre link action to PKP lib
https://github.com/pkp/pkp-lib/commit/37c653da2b729f2dd3f703d0e49c442e70a84e09
Comment 20 Alec Smecher 2013-03-07 17:25:02 PST
set/getStageId to PKP lib
https://github.com/pkp/omp/commit/63a525f468719ea2d8d5e9543b21a2cb9a386e6d
Comment 21 Alec Smecher 2013-03-07 17:25:02 PST
set/getStageId to PKP lib
https://github.com/pkp/pkp-lib/commit/591514153108ce43cfff2befb2a6474527989562
Comment 22 Alec Smecher 2013-03-07 17:25:03 PST
OMP terms out of PKP lib
https://github.com/pkp/pkp-lib/commit/9d323ee49c7491667561bcfa45809cfc5be04ec8
Comment 23 Alec Smecher 2013-03-07 17:30:02 PST
Submission queues and misc. to OJS (partial); conventions
https://github.com/pkp/ojs/commit/890f6de4d10344b017d3e942103be85dbe666e81
Comment 24 Alec Smecher 2013-03-07 17:30:02 PST
OMP terms out of PKP lib
https://github.com/pkp/omp/commit/c7d5c17fef4b0181d2248ca374586b13ddb98a3f
Comment 25 Alec Smecher 2013-03-08 13:20:04 PST
Date Published to Submission class
https://github.com/pkp/pkp-lib/commit/19309c19afd64d46acfbe36526ac1e939d5b2fea
Comment 26 Alec Smecher 2013-03-08 13:35:02 PST
Date Published to Submission class
https://github.com/pkp/ojs/commit/a9a81e96503332138b42ecdb2db7d80fb7e2386d
Comment 27 Alec Smecher 2013-03-08 14:00:03 PST
Expose date_published to articles (sync with OMP)
https://github.com/pkp/ojs/commit/19e964f93468c539bd4f895593fc9a8a68c52484
Comment 28 Alec Smecher 2013-03-08 14:10:02 PST
Locale keys to PKP lib
https://github.com/pkp/omp/commit/4662b276e1f0cc09d1647f45bd0c7b22a749c5d6
Comment 29 Alec Smecher 2013-03-08 14:10:03 PST
Locale keys to PKP lib
https://github.com/pkp/pkp-lib/commit/0a40880d7e229c95b2aa9c4ff64671d430081b29
Comment 30 Alec Smecher 2013-03-08 14:15:02 PST
Locale keys to PKP lib
https://github.com/pkp/pkp-lib/commit/33ff6293854cfb69cdde0b3bf5a4c316fd9a6581
Comment 31 Alec Smecher 2013-03-08 14:15:02 PST
Locale keys to PKP lib
https://github.com/pkp/omp/commit/2d5f1d7194e88407e7cb90499c29d37b65250de4
Comment 32 Alec Smecher 2013-03-08 14:25:02 PST
Queue locale keys to PKP lib
https://github.com/pkp/omp/commit/6d4448a5819ddb09724cfaa04e5c479dab1001f7
Comment 33 Alec Smecher 2013-03-08 14:25:02 PST
Queue locale keys to PKP lib
https://github.com/pkp/pkp-lib/commit/1fc6687f52715b4254fe5ab6202bc70077acd2d9
Comment 34 Alec Smecher 2013-03-08 14:40:02 PST
Rehabilitate submission queues
https://github.com/pkp/ojs/commit/9e46844690256891cbef726c57c6463597c59054
Comment 35 Alec Smecher 2013-03-08 15:05:01 PST
Unassigned queue fixed
https://github.com/pkp/ojs/commit/ebef85cf5608a0a4381aab73295f3be87a30a5e4
Comment 36 Alec Smecher 2013-03-11 09:53:05 PDT
Queues ported to OJS.